/* Import Roboto font from Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500&display=swap');

* {
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

.login-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(88, 88, 88, 0.8);
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.login-container {
    position: relative;
    justify-content: center;
    width: 22.2rem;
}

.form-container {
    background: rgba(255, 255, 255, 0.1);
    border: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: 0 0 36px 1px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    backdrop-filter: blur(20px);
    z-index: 99;
    padding: 2rem;
    color: #ffffff;
    display: flex;
    flex-direction: column;
}

#two-factor-form-container {
    display: none;
}

h1 {
    margin-top: 0;
    text-align: center;
    font-size: 2rem;
    font-weight: 500;
    margin-bottom: 1.5rem;
    color: #ffffff;
}

form {
    display: flex;
    flex-direction: column;
}

input[type="email"],
input[type="password"],
input[type="text"] {
    display: block;
    padding: 14.5px;
    width: 100%;
    margin: 1rem 0;
    color: #ffffff;
    outline: none;
    background-color: rgba(255, 255, 255, 0.1);
    border: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: 5px;
    font-weight: 500;
    letter-spacing: 0.8px;
    font-size: 15px;
    backdrop-filter: blur(15px);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    animation-name: auto-fill-cancel;
    animation-duration: 10ms;
}

input[type="email"]::placeholder,
input[type="password"]::placeholder,
input[type="text"]::placeholder {
    color: rgba(255, 255, 255, 0.7);
}

input[type="email"]:focus,
input[type="password"]:focus {
    box-shadow: 0 0 16px 1px rgba(255, 255, 255, 0.2);
    animation: wobble 0.3s ease-in;
    background-color: rgba(255, 255, 255, 0.2);
}

input[type="email"]:-webkit-autofill,
input[type="password"]:-webkit-autofill,
input[type="email"]:-webkit-autofill:hover,
input[type="password"]:-webkit-autofill:hover,
input[type="email"]:-webkit-autofill:focus,
input[type="password"]:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0px 1000px rgba(255, 255, 255, 0.1) inset !important;
    animation-duration: 5000s;
    animation-name: auto-fill;
}

.checkbox-group {
    display: flex;
    align-items: center;
    margin-bottom: 1rem;
}

.checkbox-group input[type="checkbox"] {
    margin-right: 0.5rem;
    cursor: pointer;
}

.checkbox-group label {
    color: #ffffff;
    font-weight: 300;
}

button {
    background-color: rgba(136, 138, 139, 0.8);
    color: #2e2e2e;
    display: block;
    padding: 13px;
    border-radius: 5px;
    outline: none;
    font-size: 18px;
    letter-spacing: 1.5px;
    font-weight: bold;
    width: 100%;
    cursor: pointer;
    margin-top: 1rem;
    transition: all 0.1s ease-in-out;
    border: none;
}

button.primary {
    background-color: rgba(15, 52, 96, 0.8);
    color: #ffffff;
}

button:hover {
    background-color: rgba(136, 138, 139, 0.8);
    box-shadow: 0 0 10px 1px rgba(255, 255, 255, 0.2);
    transform: scale(1.02);
}
button.primary:hover {
    background-color: rgba(15, 52, 96, 1);
}

.illustration {
    position: absolute;
    top: -22%;
    right: -2px;
    width: 100%;
    opacity: 0.3;
    z-index: -1;
    padding: 5%;
}

#loginMessage {
    margin-top: 1rem;
    text-align: center;
    color: #ffffff;
    font-weight: 300;
}

@keyframes wobble {
    0% { transform: scale(1.025); }
    25% { transform: scale(1); }
    75% { transform: scale(1.025); }
    100% { transform: scale(1); }
}

@media (prefers-color-scheme: dark) {
    .login-overlay {
        background: rgba(0, 0, 0, 0.8);
    }
}

@keyframes auto-fill {
    0% {
        display: block;
    }
}